package cofh.thermal.expansion.init;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cofh.thermal.core.ThermalCore;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.sounds.SoundEvent;
import net.minecraftforge.registries.RegistryObject;

public class TExpSounds {
  public static final String ID_SOUND_MACHINE_BOTTLER = "block.machine_bottler";
  
  public static final String ID_SOUND_MACHINE_CRUCIBLE = "block.machine_crucible";
  
  public static final String ID_SOUND_MACHINE_FURNACE = "block.machine_furnace";
  
  public static final String ID_SOUND_MACHINE_PULVERIZER = "block.machine_pulverizer";
  
  public static final String ID_SOUND_MACHINE_SAWMILL = "block.machine_sawmill";
  
  public static final String ID_SOUND_MACHINE_SMELTER = "block.machine_smelter";
  
  public static void register() {}
  
  public static RegistryObject<SoundEvent> registerSound(String soundID) {
    return ThermalCore.SOUND_EVENTS.register(soundID, () -> new SoundEvent(new ResourceLocation("thermal", soundID)));
  }
  
  public static RegistryObject<SoundEvent> SOUND_MACHINE_BOTTLER = registerSound("block.machine_bottler");
  
  public static RegistryObject<SoundEvent> SOUND_MACHINE_CRUCIBLE = registerSound("block.machine_crucible");
  
  public static RegistryObject<SoundEvent> SOUND_MACHINE_FURNACE = registerSound("block.machine_furnace");
  
  public static RegistryObject<SoundEvent> SOUND_MACHINE_PULVERIZER = registerSound("block.machine_pulverizer");
  
  public static RegistryObject<SoundEvent> SOUND_MACHINE_SAWMILL = registerSound("block.machine_sawmill");
  
  public static RegistryObject<SoundEvent> SOUND_MACHINE_SMELTER = registerSound("block.machine_smelter");
}
